------------------------------------------------------------
-- VHDL FPGARFCounterComparator4
-- 2021 4 29 13 50 59
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGARFCounterComparator4
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGARFCounterComparator4 Is
  port
  (
    X_1PPP_PARITY : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPP_PARITY
    X_1PPS        : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS
    BNC0_DIFF     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC0_DIFF[31..0]
    BNC1_DIFF     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC1_DIFF[31..0]
    BNC2_DIFF     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC2_DIFF[31..0]
    BNC3_DIFF     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC3_DIFF[31..0]
    BNC4_FREQ     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC4_FREQ[31..0]
    BNC5_FREQ     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC5_FREQ[31..0]
    BNC6_FREQ     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC6_FREQ[31..0]
    BNC7_FREQ     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC7_FREQ[31..0]
    BNC8_FREQ     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC8_FREQ[31..0]
    BNC9_FREQ     : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC9_FREQ[31..0]
    BNC10_FREQ    : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC10_FREQ[31..0]
    BNC11_FREQ    : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC11_FREQ[31..0]
    BNC12_FREQ    : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC12_FREQ[31..0]
    BNC_IN        : In    STD_LOGIC_VECTOR(12 Downto 0);     -- ObjectKind=Port|PrimaryId=BNC_IN[12..0]
    BNC_UP        : Out   STD_LOGIC_VECTOR(12 Downto 4);     -- ObjectKind=Port|PrimaryId=BNC_UP[12..4]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : In    STD_LOGIC_VECTOR(25 Downto 0)      -- ObjectKind=Port|PrimaryId=CNT[25..0]
  );
  attribute MacroCell : boolean;

End FPGARFCounterComparator4;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGARFCounterComparator4 Is
   Component Configurable_U_FREQUENCY_0                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_0|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_1                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_1|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_2                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_2|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_3                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_3|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_4                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_4|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_5                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_5|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_6                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_6|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_7                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_7|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ[31..0]
      );
   End Component;

   Component Configurable_U_FREQUENCY_8                      -- ObjectKind=Part|PrimaryId=U_FREQUENCY_8|SecondaryId=1
      port
      (
        FREQ1 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ1[31..0]
        FREQ2 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ2[31..0]
        FREQ4 : in STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ4[31..0]
        FREQ  : in STD_LOGIC_VECTOR(31 Downto 0)             -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ[31..0]
      );
   End Component;

   Component frequencycounter                                -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter0
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT : in  STD_LOGIC_VECTOR(25 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    : out STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
        VALID : out STD_LOGIC                                -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-VALID
      );
   End Component;

   Component OnePPSCounter                                   -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifference0
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID : out STD_LOGIC                                -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );
   End Component;


    Signal NamedSignal_1PPS                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_BNC_IN                : STD_LOGIC_VECTOR(12 Downto 0); -- ObjectKind=Net|PrimaryId=BNC_IN[12..0]
    Signal NamedSignal_BNC_UP                : STD_LOGIC_VECTOR(12 Downto 4); -- ObjectKind=Net|PrimaryId=BNC_UP[12..4]
    Signal NamedSignal_BNC0_DIFF             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    Signal NamedSignal_BNC1_DIFF             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    Signal NamedSignal_BNC10_FREQ            : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    Signal NamedSignal_BNC11_FREQ            : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    Signal NamedSignal_BNC12_FREQ            : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    Signal NamedSignal_BNC2_DIFF             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    Signal NamedSignal_BNC3_DIFF             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]
    Signal NamedSignal_BNC4_FREQ             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    Signal NamedSignal_BNC5_FREQ             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    Signal NamedSignal_BNC6_FREQ             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    Signal NamedSignal_BNC7_FREQ             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    Signal NamedSignal_BNC8_FREQ             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    Signal NamedSignal_BNC9_FREQ             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    Signal NamedSignal_CLK                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT                   : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal PinSignal_FrequencyCounter0_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    Signal PinSignal_FrequencyCounter0_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC7_FREQA[31..0]
    Signal PinSignal_FrequencyCounter0_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC7_FREQB[31..0]
    Signal PinSignal_FrequencyCounter0_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC7_FREQC[31..0]
    Signal PinSignal_FrequencyCounter0_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP7
    Signal PinSignal_FrequencyCounter1_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    Signal PinSignal_FrequencyCounter1_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC8_FREQA[31..0]
    Signal PinSignal_FrequencyCounter1_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC8_FREQB[31..0]
    Signal PinSignal_FrequencyCounter1_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC8_FREQC[31..0]
    Signal PinSignal_FrequencyCounter1_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP8
    Signal PinSignal_FrequencyCounter2_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    Signal PinSignal_FrequencyCounter2_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC9_FREQA[31..0]
    Signal PinSignal_FrequencyCounter2_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC9_FREQB[31..0]
    Signal PinSignal_FrequencyCounter2_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC9_FREQC[31..0]
    Signal PinSignal_FrequencyCounter2_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP9
    Signal PinSignal_FrequencyCounter3_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    Signal PinSignal_FrequencyCounter3_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC10_FREQA[31..0]
    Signal PinSignal_FrequencyCounter3_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC10_FREQB[31..0]
    Signal PinSignal_FrequencyCounter3_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC10_FREQC[31..0]
    Signal PinSignal_FrequencyCounter3_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP10
    Signal PinSignal_FrequencyCounter4_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    Signal PinSignal_FrequencyCounter4_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC11_FREQA[31..0]
    Signal PinSignal_FrequencyCounter4_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC11_FREQB[31..0]
    Signal PinSignal_FrequencyCounter4_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC11_FREQC[31..0]
    Signal PinSignal_FrequencyCounter4_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP11
    Signal PinSignal_FrequencyCounter5_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    Signal PinSignal_FrequencyCounter5_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC12_FREQA[31..0]
    Signal PinSignal_FrequencyCounter5_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC12_FREQB[31..0]
    Signal PinSignal_FrequencyCounter5_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC12_FREQC[31..0]
    Signal PinSignal_FrequencyCounter5_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP12
    Signal PinSignal_FrequencyCounter6_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    Signal PinSignal_FrequencyCounter6_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC4_FREQA[31..0]
    Signal PinSignal_FrequencyCounter6_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC4_FREQB[31..0]
    Signal PinSignal_FrequencyCounter6_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC4_FREQC[31..0]
    Signal PinSignal_FrequencyCounter6_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP4
    Signal PinSignal_FrequencyCounter7_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    Signal PinSignal_FrequencyCounter7_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC5_FREQA[31..0]
    Signal PinSignal_FrequencyCounter7_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC5_FREQB[31..0]
    Signal PinSignal_FrequencyCounter7_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC5_FREQC[31..0]
    Signal PinSignal_FrequencyCounter7_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP5
    Signal PinSignal_FrequencyCounter8_FREQ  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    Signal PinSignal_FrequencyCounter8_FREQA : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC6_FREQA[31..0]
    Signal PinSignal_FrequencyCounter8_FREQB : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC6_FREQB[31..0]
    Signal PinSignal_FrequencyCounter8_FREQC : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC6_FREQC[31..0]
    Signal PinSignal_FrequencyCounter8_UP    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BNC_UP6
    Signal PinSignal_TimeDifference0_COUNT   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    Signal PinSignal_TimeDifference1_COUNT   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    Signal PinSignal_TimeDifference2_COUNT   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    Signal PinSignal_TimeDifference3_COUNT   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]

Begin
    TimeDifference3 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifference3
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifference3_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_BNC_IN(3),                      -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_1PPS                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
      );

    TimeDifference2 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifference2
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifference2_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_BNC_IN(2),                      -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_1PPS                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
      );

    TimeDifference1 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifference1
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifference1_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_BNC_IN(1),                      -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_1PPS                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
      );

    TimeDifference0 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifference0
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifference0_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_BNC_IN(0),                      -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_1PPS                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
      );

    FrequencyCounter8 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter8
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter8_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter8_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter8_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter8_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(6),                      -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter8_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter7 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter7
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter7_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter7_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter7_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter7_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(5),                      -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter7_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter6 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter6
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter6_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter6_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter6_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter6_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(4),                      -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter6_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter5 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter5
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter5_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter5_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter5_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter5_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(12),                     -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter5_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter4 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter4
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter4_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter4_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter4_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter4_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(11),                     -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter4_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter3 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter3
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter3_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter3_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter3_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter3_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(10),                     -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter3_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter2 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter2
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter2_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter2_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter2_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter2_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(9),                      -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter2_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter1 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter1
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter1_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter1_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter1_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter1_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(8),                      -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter1_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    FrequencyCounter0 : frequencycounter                     -- ObjectKind=Sheet Symbol|PrimaryId=FrequencyCounter0
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-CLK
        COUNT => NamedSignal_CNT,                            -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-COUNT[25..0]
        FREQ  => PinSignal_FrequencyCounter0_FREQ,           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQ[31..0]
        FREQA => PinSignal_FrequencyCounter0_FREQA,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQA[31..0]
        FREQB => PinSignal_FrequencyCounter0_FREQB,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQB[31..0]
        FREQC => PinSignal_FrequencyCounter0_FREQC,          -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-FREQC[31..0]
        PPS   => NamedSignal_1PPS,                           -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-PPS
        RF    => NamedSignal_BNC_IN(7),                      -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-RF
        UP    => PinSignal_FrequencyCounter0_UP              -- ObjectKind=Sheet Entry|PrimaryId=FrequencyCounter.Vhd-UP
      );

    U_FREQUENCY_8 : Configurable_U_FREQUENCY_8               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_8|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter8_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter8_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter8_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter8_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_8-FREQ[31..0]
      );

    U_FREQUENCY_7 : Configurable_U_FREQUENCY_7               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_7|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter7_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter7_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter7_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter7_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_7-FREQ[31..0]
      );

    U_FREQUENCY_6 : Configurable_U_FREQUENCY_6               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_6|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter6_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter6_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter6_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter6_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_6-FREQ[31..0]
      );

    U_FREQUENCY_5 : Configurable_U_FREQUENCY_5               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_5|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter5_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter5_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter5_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter5_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_5-FREQ[31..0]
      );

    U_FREQUENCY_4 : Configurable_U_FREQUENCY_4               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_4|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter4_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter4_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter4_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter4_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_4-FREQ[31..0]
      );

    U_FREQUENCY_3 : Configurable_U_FREQUENCY_3               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_3|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter3_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter3_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter3_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter3_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_3-FREQ[31..0]
      );

    U_FREQUENCY_2 : Configurable_U_FREQUENCY_2               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_2|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter2_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter2_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter2_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter2_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_2-FREQ[31..0]
      );

    U_FREQUENCY_1 : Configurable_U_FREQUENCY_1               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_1|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter1_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter1_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter1_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter1_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_1-FREQ[31..0]
      );

    U_FREQUENCY_0 : Configurable_U_FREQUENCY_0               -- ObjectKind=Part|PrimaryId=U_FREQUENCY_0|SecondaryId=1
      Port Map
      (
        FREQ1 => PinSignal_FrequencyCounter0_FREQA,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ1[31..0]
        FREQ2 => PinSignal_FrequencyCounter0_FREQB,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ2[31..0]
        FREQ4 => PinSignal_FrequencyCounter0_FREQC,          -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ4[31..0]
        FREQ  => PinSignal_FrequencyCounter0_FREQ            -- ObjectKind=Pin|PrimaryId=U_FREQUENCY_0-FREQ[31..0]
      );

    -- Signal Assignments
    ---------------------
    BNC_UP                 <= NamedSignal_BNC_UP; -- ObjectKind=Net|PrimaryId=BNC_UP[12..4]
    BNC0_DIFF              <= NamedSignal_BNC0_DIFF; -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    BNC1_DIFF              <= NamedSignal_BNC1_DIFF; -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    BNC10_FREQ             <= NamedSignal_BNC10_FREQ; -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    BNC11_FREQ             <= NamedSignal_BNC11_FREQ; -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    BNC12_FREQ             <= NamedSignal_BNC12_FREQ; -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    BNC2_DIFF              <= NamedSignal_BNC2_DIFF; -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    BNC3_DIFF              <= NamedSignal_BNC3_DIFF; -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]
    BNC4_FREQ              <= NamedSignal_BNC4_FREQ; -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    BNC5_FREQ              <= NamedSignal_BNC5_FREQ; -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    BNC6_FREQ              <= NamedSignal_BNC6_FREQ; -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    BNC7_FREQ              <= NamedSignal_BNC7_FREQ; -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    BNC8_FREQ              <= NamedSignal_BNC8_FREQ; -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    BNC9_FREQ              <= NamedSignal_BNC9_FREQ; -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    NamedSignal_1PPS       <= X_1PPS; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_BNC_IN     <= BNC_IN; -- ObjectKind=Net|PrimaryId=BNC_IN[12..0]
    NamedSignal_BNC_UP(10) <= PinSignal_FrequencyCounter3_UP; -- ObjectKind=Net|PrimaryId=BNC_UP10
    NamedSignal_BNC_UP(11) <= PinSignal_FrequencyCounter4_UP; -- ObjectKind=Net|PrimaryId=BNC_UP11
    NamedSignal_BNC_UP(12) <= PinSignal_FrequencyCounter5_UP; -- ObjectKind=Net|PrimaryId=BNC_UP12
    NamedSignal_BNC_UP(4)  <= PinSignal_FrequencyCounter6_UP; -- ObjectKind=Net|PrimaryId=BNC_UP4
    NamedSignal_BNC_UP(5)  <= PinSignal_FrequencyCounter7_UP; -- ObjectKind=Net|PrimaryId=BNC_UP5
    NamedSignal_BNC_UP(6)  <= PinSignal_FrequencyCounter8_UP; -- ObjectKind=Net|PrimaryId=BNC_UP6
    NamedSignal_BNC_UP(7)  <= PinSignal_FrequencyCounter0_UP; -- ObjectKind=Net|PrimaryId=BNC_UP7
    NamedSignal_BNC_UP(8)  <= PinSignal_FrequencyCounter1_UP; -- ObjectKind=Net|PrimaryId=BNC_UP8
    NamedSignal_BNC_UP(9)  <= PinSignal_FrequencyCounter2_UP; -- ObjectKind=Net|PrimaryId=BNC_UP9
    NamedSignal_BNC0_DIFF  <= PinSignal_TimeDifference0_COUNT; -- ObjectKind=Net|PrimaryId=BNC0_DIFF[31..0]
    NamedSignal_BNC1_DIFF  <= PinSignal_TimeDifference1_COUNT; -- ObjectKind=Net|PrimaryId=BNC1_DIFF[31..0]
    NamedSignal_BNC10_FREQ <= PinSignal_FrequencyCounter3_FREQ; -- ObjectKind=Net|PrimaryId=BNC10_FREQ[31..0]
    NamedSignal_BNC11_FREQ <= PinSignal_FrequencyCounter4_FREQ; -- ObjectKind=Net|PrimaryId=BNC11_FREQ[31..0]
    NamedSignal_BNC12_FREQ <= PinSignal_FrequencyCounter5_FREQ; -- ObjectKind=Net|PrimaryId=BNC12_FREQ[31..0]
    NamedSignal_BNC2_DIFF  <= PinSignal_TimeDifference2_COUNT; -- ObjectKind=Net|PrimaryId=BNC2_DIFF[31..0]
    NamedSignal_BNC3_DIFF  <= PinSignal_TimeDifference3_COUNT; -- ObjectKind=Net|PrimaryId=BNC3_DIFF[31..0]
    NamedSignal_BNC4_FREQ  <= PinSignal_FrequencyCounter6_FREQ; -- ObjectKind=Net|PrimaryId=BNC4_FREQ[31..0]
    NamedSignal_BNC5_FREQ  <= PinSignal_FrequencyCounter7_FREQ; -- ObjectKind=Net|PrimaryId=BNC5_FREQ[31..0]
    NamedSignal_BNC6_FREQ  <= PinSignal_FrequencyCounter8_FREQ; -- ObjectKind=Net|PrimaryId=BNC6_FREQ[31..0]
    NamedSignal_BNC7_FREQ  <= PinSignal_FrequencyCounter0_FREQ; -- ObjectKind=Net|PrimaryId=BNC7_FREQ[31..0]
    NamedSignal_BNC8_FREQ  <= PinSignal_FrequencyCounter1_FREQ; -- ObjectKind=Net|PrimaryId=BNC8_FREQ[31..0]
    NamedSignal_BNC9_FREQ  <= PinSignal_FrequencyCounter2_FREQ; -- ObjectKind=Net|PrimaryId=BNC9_FREQ[31..0]
    NamedSignal_CLK        <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT        <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]

End Structure;
------------------------------------------------------------

